# -*- coding: utf-8 -*-
"""
Created on Sat Jun  5 21:51:13 2021

@author: ErnestoAngelCurbeloB
"""

from ejemplo_paper import Ejemplo

from time import time 

from numpy import mean

    
K = 8
xtrue = 2.5
sigmatrue = 4
sigma = 4
ex = Ejemplo( xtrue,sigmatrue,K,sigma)


N = 100
T = 100
initial_value_mu = 5
initial_value_sigma = 20
sigma_prop_init = 1

# t1 = time()
# print(ex.grid_post_all(0.01,0.01))
# t2 = time()
# print("\n Tardó ",t2-t1," segundos")

time_grid = 809.6560997962952 # medido en segundos

n_simulation = 500

times = []

for sim in range(n_simulation):
    
    t1 = time()
    
    ex.new_sampling(initial_value_mu, initial_value_sigma, sigma_prop_init, T, N)
    
    ex.Z_hat(1000)
    
    t_run = time() - t1
    
    times.append(t_run)

print(mean(times))
run_mean = mean(times) # 0.9324861416816711
factor = time_grid/run_mean

